cURL
curl --request GET \
--url https://api.maesn.dev/accounting/paymentTerms \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/paymentTerms"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/paymentTerms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "08d52c49-b90c-4328-b1ec-623df74f904a",
"code": "1",
"createdDate": "2021-01-01T00:00:00Z",
"description": "31 dagen",
"discountDays": 10,
"discountDays2": 14,
"discountPercentage": 5,
"discountPercentage2": 3,
"discountPeriods": [
{
"invoiceRange": "Invoice issuance range up to day 5 of the month",
"discountDeadline": "Day 15 of the current month",
"discountDeadline2": "Day 25 of the current month",
"paymentDeadline": "Day 30 of the current month"
}
],
"dueType": "DUE_IN_DAYS",
"name": "31 DAYS",
"paymentDays": 31,
"paymentMethod": "BANK_TRANSFER",
"updatedDate": "2021-01-01T00:00:00Z"
}
]
}Payment Terms
Get payment terms
GET
/
accounting
/
paymentTerms
cURL
Field support per integration

DATEV Rechnungswesen
DATEV Rechnungswesen
The query parameter
fiscalYearStartDate is required and must be a valid date.If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.number
boolean
string
string
number
Number of days to pay within to receive the
discountPercentage. Used when dueType is DUE_IN_DAYS.number
Number of days to pay within to receive the
discountPercentage2. Used when dueType is DUE_IN_DAYS.number
number
DiscountPeriod[]
Array of discount periods. Used when
dueType is DUE_AS_PERIOD.Show properties
Show properties
string
Range of days up to a target day of the month within which an invoice can be issued in order for the corresponding discount and payment deadlines to apply.
string
The date by which payment must be made to receive the
discountPercentage.string
The date by which payment must be made to receive the
discountPercentage2.string
enum
Available options:
DUE_IN_DAYS, DUE_AS_PERIODnumber

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.enum
Available options:
5, 10, 20, 50, 100number
boolean
string
string
string
string
number
number
enum
Available options:
DUE_IN_DAYSnumber
enum
Available options:
CASH, BANK_TRANSFER, PAYMENT_SERVICE_PROVIDER, AUTOMATIC_BANK_WITHDRAWALstring
Headers
API key
Example:
"example value"
Account key
Example:
"example value"
Query Parameters
Available options:
5, 10, 20, 50, 100 Last modified on August 28, 2026
Was this page helpful?